import request from '@/utils/request'

// 查询能源设施/系统分类列表
export function listType(query) {
  return request({
    url: '/ems/basecfg/facstype/list',
    method: 'get',
    params: query
  })
}

// 查询能源设施/系统分类详细
export function getType(id) {
  return request({
    url: '/ems/basecfg/facstype/' + id,
    method: 'get'
  })
}

// 新增能源设施/系统分类
export function addType(data) {
  return request({
    url: '/ems/basecfg/facstype',
    method: 'post',
    data: data
  })
}

// 修改能源设施/系统分类
export function updateType(data) {
  return request({
    url: '/ems/basecfg/facstype',
    method: 'put',
    data: data
  })
}

// 删除能源设施/系统分类
export function delType(id) {
  return request({
    url: '/ems/basecfg/facstype/' + id,
    method: 'delete'
  })
}
